workflow:
  rules:
    - if: '$CI_COMMIT_BRANCH == "build"'

stages:
  - build

variables:
  UV_VERSION: 0.6
  PYTHON_VERSION: 3.13
  BASE_LAYER: bookworm
  UV_LINK_MODE: copy

buildAndPublish:
  stage: build
  image: docker
  services:
    - docker:dind
  variables:
    IMAGE_NAME: "${CI_REGISTRY_IMAGE}"
  before_script:
    - "echo $CI_REGISTRY_PASSWORD | docker login $CI_REGISTRY --username $CI_REGISTRY_USER --password-stdin"
    - "docker info"
  script:
    - "docker build . --tag ${IMAGE_NAME}:latest --tag ${IMAGE_NAME}:${CI_COMMIT_SHORT_SHA#'v'}"
    - "docker push --all-tags $IMAGE_NAME"
